org.apache.hc.client5.http.config

## Class CookieSpecs

- java.lang.Object
- - org.apache.hc.client5.http.config.CookieSpecs

    @Immutable
    public final class CookieSpecs
    extends Object

Standard cookie specifications supported by HttpClient.

Since:
  4.3

### Field Summary

Fields
`static String` `DEFAULT` The default policy.
`static String` `IGNORE_COOKIES` The policy that ignores cookies.
`static String` `STANDARD` The RFC 6265 compliant policy (interoprability profile).
`static String` `STANDARD_STRICT` The RFC 6265 compliant policy (strict profile).

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### STANDARD

    public static final String STANDARD

The RFC 6265 compliant policy (interoprability profile).

See Also:
  Constant Field Values

#### STANDARD_STRICT

    public static final String STANDARD_STRICT

The RFC 6265 compliant policy (strict profile).

Since:
  4.4
See Also:
  Constant Field Values

#### DEFAULT

    public static final String DEFAULT

The default policy. This policy provides a higher degree of compatibility with common cookie management of popular HTTP agents for non-standard (Netscape style) cookies.

See Also:
  Constant Field Values

#### IGNORE_COOKIES

    public static final String IGNORE_COOKIES

The policy that ignores cookies.

See Also:
  Constant Field Values